Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface LifecycleStateEnabled

All Known Subinterfaces:
  Connector, FlowConstruct, MessageDispatcher, MessageRequester, Model, Service

All Known Implementing Classes:
  AbstractConnector, AbstractFlowConstruct, AbstractJndiConnector, AbstractMailConnector, AbstractMessageDispatcher, AbstractMessageReceiver, AbstractMessageRequester, AbstractModel, AbstractPollingMessageReceiver, AbstractRetrieveMailConnector, AbstractService, AbstractTlsRetrieveMailConnector, AbstractTransportMessageHandler, ActiveMQJmsConnector, ActiveMQXAJmsConnector, AjaxConnector, AjaxMessageDispatcher, AjaxMessageReceiver, AjaxServletConnector, AxisConnector, AxisMessageDispatcher, AxisMessageReceiver, AxisMessageRequester, AxisWsdlConnector, AxisWsdlMessageDispatcher, Bridge, DefaultLocalMuleClient.MuleClientFlowConstruct, EjbConnector, EjbMessageDispatcher, EjbMessageReceiver, ExceptionReturnTcpMessageReceiver, FileConnector, FileMessageDispatcher, FileMessageReceiver, FileMessageRequester, FtpConnector, FtpMessageDispatcher, FtpMessageReceiver, FtpMessageRequester, GmailSmtpConnector, HttpClientMessageDispatcher, HttpClientMessageRequester, HttpConnector, HttpMessageReceiver, HttpPollingConnector, HttpsClientMessageDispatcher, HttpsConnector, HttpsMessageReceiver, HttpsPollingConnector, IBeanFlowConstruct, IBeansConnector, IBeansMessageDispatcher, IBeansMessageReceiver, ImapConnector, ImapsConnector, InheritedModel, JcaModel, JcaService, JdbcConnector, JdbcMessageDispatcher, JdbcMessageReceiver, JdbcMessageRequester, JettyHttpConnector, JettyHttpMessageReceiver, JettyHttpsConnector, JmsConnector, JmsMessageDispatcher, JmsMessageReceiver, JmsMessageRequester, JnpConnector, LocalSocketTcpMessageDispatcher, MessageProcessorPollingConnector, MessageProcessorPollingMessageReceiver, MuleMQJmsConnector, MuleMQXAJmsConnector, MulticastConnector, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, NullConnector, PollingHttpMessageReceiver, PollingTcpConnector, PollingTcpMessageReceiver, Pop3Connector, Pop3sConnector, PromptStdioConnector, QuartzConnector, QuartzMessageDispatcher, QuartzMessageReceiver, RetrieveMessageReceiver, RetrieveMessageRequester, RmiCallbackMessageReceiver, RmiConnector, RmiMessageDispatcher, RmiMessageReceiver, SedaModel, SedaService, ServletConnector, ServletMessageReceiver, SimpleFlowConstruct, SimpleService, SingleJmsMessageReceiver, SmtpConnector, SmtpMessageDispatcher, SmtpsConnector, SslConnector, SslMessageReceiver, StdioConnector, StdioMessageDispatcher, StdioMessageReceiver, TcpConnector, TcpMessageDispatcher, TcpMessageReceiver, TcpMessageRequester, TlsConnector, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpConnector, UdpMessageDispatcher, UdpMessageReceiver, UdpMessageRequester, UnsupportedMessageDispatcher, UnsupportedMessageRequester, Validator, VMConnector, VMMessageDispatcher, VMMessageReceiver, VMMessageRequester, WeblogicJmsConnector, WebsphereJmsConnector, WebsphereTransactedJmsMessageReceiver, WSProxy, XaTransactedJmsMessageReceiver, XmppConnector, XmppMessageDispatcher, XmppMessageReceiver, XmppMessageRequester, XmppPollingMessageReceiver

    public interface LifecycleStateEnabled

Objects that have an associated lifecycle manager such as `Service` or `Connector` should implement this interface so that the registry lifecycle manager can introspect the lifecycle state of an object. This allows objects to have a different lifecycle state to the registry. Typically objects that ahve their own lifecycle manager can be controlled externally through JMX which means there is no guarantee that the state of the object is in the same lifecycle state of the registry, hence the need to introspect the lifecycle state of an object.

Since:
  3.0

Method Summary
`LifecycleState` | `getLifecycleState()`

Method Detail

### getLifecycleState

    LifecycleState getLifecycleState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.